import baseEach from "./_baseEach.mjs";
import isArrayLike from "./isArrayLike.mjs";
function baseMap(collection, iteratee) {
  var index = -1, result = isArrayLike(collection) ? Array(collection.length) : [];
  baseEach(collection, function(value, key, collection2) {
    result[++index] = iteratee(value, key, collection2);
  });
  return result;
}
export {
  baseMap as default
};
